Bug 962189 - Review Request: cego - A relational and transactional database
Review Request: cego - A relational and transactional database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On: 959974 960041
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 08:34 EDT by Christopher Meng
Modified: 2014-01-27 08:06 EST (History)
4 users (show)

See Also:
Fixed In Version: cego-2.18.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 06:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-12 08:34:11 EDT
Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.17.12-1.fc20.src.rpm 
Description: An open source implementation of a relational and transnational database 
system using an object oriented software design. It supports SQL query
requests using all common programming interfaces (C, C++, DBD, Java). 
The system architecture is multi-threaded based on POSIX threads and is 
designed for high end performance and availability.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-05-15 09:00:08 EDT
New upstream release with several large fixes:

Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.1-1.fc20.src.rpm
Comment 2 Christopher Meng 2013-05-18 04:30:08 EDT
New upstream release with several huge rewrite:

Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.3-1.fc20.src.rpm
Comment 3 Björn "besser82" Esser 2013-05-21 06:37:31 EDT
FTBFS on rawhide!

BuildRequires are insane?!? no package found for:

  * liblfc-devel
  * liblfc-xml-devel

Please fix! I'll review again, then.
Comment 4 Christopher Meng 2013-05-21 07:22:21 EDT
(In reply to Björn Esser from comment #3)
> FTBFS on rawhide!
> 
> BuildRequires are insane?!? no package found for:
> 
>   * liblfc-devel
>   * liblfc-xml-devel
> 
> Please fix! I'll review again, then.

Hi, you are too hurry~

I will update this package when lfc{base,xml} are already in rawhide.
Comment 5 Björn "besser82" Esser 2013-05-21 07:28:29 EDT
Allright!

Since `fedora-review -L $PATH_ADDITIONAL_DEPS` can be used to review pkgs with blocking, unreleased deps, I thought you'd be happy with quick progress on reviewing... ;)
Comment 6 Christopher Meng 2013-05-21 08:06:59 EDT
Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.4-1.fc20.src.rpm
Comment 7 Björn "besser82" Esser 2013-05-21 08:31:34 EDT
So first review-build revealed serveral rpmlint issues:

  * binary-or-shlib-defines-rpath --> upstream should fix this
    As a temporary solution on of these should fix:
    http://fedoraproject.org/wiki/Packaging:Guidelines#Beware_of_Rpath

  * undefined-non-weak-symbol --> another one for upstream to fix
    I'd not consider this a BLOCKER ;)

  * unused-direct-shlib-dependency --> some sed-magic like used in
    lfcbase/lfcxml should do the trick.

  * incorrect-fsf-address --> upstream should update sources...

In spec-file:

  * License: GPLv2 --> upstream changed to GPLv3+

  * -devel Requires: lfcbase-devel%{?_isa} lfcxml-devel%{?_isa}
    headers have includes on some pkg'ed in the mentioned.

I will start another run after you updated spec/srpm.

Rpmlint
-------
Checking: cego-2.18.4-1.fc20.x86_64.rpm
          cego-devel-2.18.4-1.fc20.x86_64.rpm
cego.x86_64: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
cego.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgblow ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cego ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgadm ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cglog ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgclt ['/usr/lib64']
cego.x86_64: W: no-manual-page-for-binary cgblow
cego.x86_64: W: no-manual-page-for-binary cego
cego.x86_64: W: no-manual-page-for-binary cgclt
cego.x86_64: W: no-manual-page-for-binary cglog
cego.x86_64: W: no-manual-page-for-binary cgadm
cego-devel.x86_64: W: no-documentation
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoAdmNet.h
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoNet.h
2 packages and 0 specfiles checked; 7 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cego cego-devel
cego.x86_64: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
cego.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgblow ['/usr/lib64']
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libcrypt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/librt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libpthread.so.0
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libnsl.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libreadline.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libhistory.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libm.so.6
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cego ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgadm ['/usr/lib64']
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getModId(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::CegoProcVar(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::getAttrName() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::getValue() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getModName(int)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::~CegoDbHandler()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::operator==(CegoProcVar const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getMsg()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::abortQuery()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::putBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::reqQueryOp(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::getType() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::CegoModule(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::~CegoProcVar()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::~CegoModule()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::~CegoField()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getFileId() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::allocate(long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::resetQuery()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::nextChunk(long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::CegoBlob(int, int)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::valAsChain(bool) const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::CegoField()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::CegoFieldValue()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getSchema()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::CegoBlob()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getProcResult(ListT<CegoProcVar>&, CegoFieldValue&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::operator=(CegoField const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::~CegoFieldValue()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::getValue() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::CegoDbHandler(NetHandler*, CegoDbHandler::ProtocolType, CegoModule*)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::~CegoBlob()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getPageId() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::reset()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::requestSession(Chain const&, Chain const&, Chain const&, bool)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getMapSize()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getSize() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getChunkPtr()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::putChunk(unsigned char*, long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::delBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::closeSession()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::CegoModule()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::receiveTableData(ListT<CegoField> const&, ListT<CegoFieldValue>&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getTableSet()
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libcrypt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/librt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libpthread.so.0
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libnsl.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libncurses.so.5
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libtinfo.so.5
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libreadline.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libhistory.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/liblfcxml.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libm.so.6
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cglog ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgclt ['/usr/lib64']
cego.x86_64: W: no-manual-page-for-binary cgblow
cego.x86_64: W: no-manual-page-for-binary cego
cego.x86_64: W: no-manual-page-for-binary cgclt
cego.x86_64: W: no-manual-page-for-binary cglog
cego.x86_64: W: no-manual-page-for-binary cgadm
cego-devel.x86_64: W: no-documentation
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoAdmNet.h
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoNet.h
2 packages and 0 specfiles checked; 7 errors, 70 warnings.
# echo 'rpmlint-done:'
Comment 8 Björn "besser82" Esser 2013-05-21 09:22:46 EDT
I forgot to mention:

 %check
-make check  <-- nothing to do here...
+./checkDB base
+./checkDB gate
Comment 9 Christopher Meng 2013-05-22 02:28:25 EDT
Maybe I should fix the rpath mentioned like:

http://fedoraproject.org/wiki/Packaging:Guidelines#Removing_Rpath ?

Try this:

Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.5-1.fc20.src.rpm

Note checkDB disabled because of some problem, please ignore.
Comment 10 Björn "besser82" Esser 2013-05-22 05:06:27 EDT
rpmlint shows:

  * binary-or-shlib-defines-rpath
  * unused-direct-shlib-dependency

is still there.

For your sed-magic on libtool to work on this you must add:

+BuildRequires: libtool

 %prep
 %setup -q
+autoreconf --force --install --verbose
 %configure --disable-static
 sed -i -e 's/ -shared / -Wl,--as-needed\0/g' libtool
 sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
 sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

autoreconf will create a local copy of libtool, which will be used when building the libs.

To make the deps of the -devel-pkg sane you must add:

 %package           devel
 Summary:           Development files for %{name}
 Requires:	   %{name}%{?_isa} = %{version}-%{release}
+Requires:	   lfcbase-devel%{?_isa}
+Requires:	   lfcxml-devel%{?_isa}

Headers from build -devel-pkg are including headers from lfc{base,xml}-devel.

Please fix and I'll take another run.
Comment 11 Christopher Meng 2013-05-22 11:55:40 EDT
Why should I 

+Requires:	   lfcbase-devel%{?_isa}
+Requires:	   lfcxml-devel%{?_isa}

Any reason?

Thanks.
Comment 12 Björn "besser82" Esser 2013-05-22 15:43:58 EDT
`grep -R -e"lfc*/"` on devel-pkg reveals:

usr/include/cego/CegoFieldValue.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoField.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoField.h:#include <lfcxml/Element.h>
usr/include/cego/CegoAdmNet.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoAdmNet.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoAdmNet.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoCheckObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoCheckObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoDecodableObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoDecodableObject.h:#include <lfcxml/Element.h>
usr/include/cego/CegoSerial.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoSerial.h:#include <lfcbase/Tokenizer.h>
usr/include/cego/CegoSerial.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoTableObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoTableObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoModule.h:#include <lfcbase/Logger.h>
usr/include/cego/CegoModule.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoDataPointer.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoKeyObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoKeyObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoJoinObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoJoinObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoDbHandler.h:#include <lfcbase/Logger.h>
usr/include/cego/CegoDbHandler.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoDbHandler.h:#include <lfcxml/XMLSuite.h>
usr/include/cego/cgwrap.h:#include <lfcbase/Logger.h>
usr/include/cego/cgwrap.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoViewObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoViewObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoBlob.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoProcObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoProcObject.h:#include <lfcxml/Element.h>
usr/include/cego/CegoContentObject.h:#include <lfcbase/Exception.h>
usr/include/cego/CegoContentObject.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoContentObject.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoNet.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoNet.h:#include <lfcbase/ListT.h>
usr/include/cego/CegoNet.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoProcVar.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoAdminHandler.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoAdminHandler.h:#include <lfcbase/NetHandler.h>
usr/include/cego/CegoAdminHandler.h:#include <lfcxml/XMLSuite.h>
usr/include/cego/CegoOutput.h:#include <lfcbase/Chain.h>
usr/include/cego/CegoOutput.h:#include <lfcbase/ListT.h>

So devel-pkg depends on lfc{base,xml}-devel for includes.
Comment 13 Christopher Meng 2013-05-22 23:39:08 EDT
Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.6-1.fc20.src.rpm
Comment 14 Björn "besser82" Esser 2013-05-23 05:05:36 EDT
* fedora-review shows:

warning: bogus date in %changelog: Wed May 23 2013 Christopher Meng <rpm@cicku.me> - 2.18.6-1

--> Thu May 23

* in spec:

BuildRequires:     lfcbase-devel%{?_isa}
BuildRequires:     lfcxml-devel%{?_isa}

--> you must NOT use %{?_isa} in BuildRequires, because these will be the "Requires" of the produced SRPM. SRPM must not have Requires on fixed arch. If you have such in your specs on SCM as well, fix them, rebuild and resubmit to obsolete older release, please.
Don't forget to add Requires: lfcbase-devel%{?_isa} to the lfcxml-devel for reason explained/clarified in #12.

You can drop the (Build)Requires on lfcbase-devel in spec of this pkg after fixing lfcxml, then.

* sed-magic doesn't seem to work on binary-or-shlib-defines-rpath:

cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgblow ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cego ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgadm ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cglog ['/usr/lib64']
cego.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/cgclt ['/usr/lib64']

--> Consider using `chrpath` as a last resort:

BuildRequires: chrpath

after install:

for _rpbin in $RPM_BUILD_ROOT%{_bindir}/*
do
  chrpath --delete "${_rpbin}"
done

* sed-magic doesn't seem to work on unused-direct-shlib-dependency:

cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libcrypt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/librt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libpthread.so.0
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libnsl.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libreadline.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libhistory.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcego.so.1.0.0 /lib64/libm.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libcrypt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/librt.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libpthread.so.0
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libnsl.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libncurses.so.5
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libtinfo.so.5
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libreadline.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libhistory.so.6
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/liblfcxml.so.1
cego.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcgwrap.so.1.0.0 /lib64/libm.so.6

--> There's something _really wrong_ with configure.ac and/or Makefile.am.
Are you familiar with autotool's meta-files-syntax or shall I workout a solving patch on them? Let's discuss this on PM.

Please fix the above in spec (patch not needed instantly) and I'll give it another shot ;)
Comment 15 Christopher Meng 2013-05-26 00:25:47 EDT
New version with some fixes:

http://cicku.me/cego-2.18.7-1.fc20.src.rpm

Please check again, maybe same problems still existed.
Comment 16 Björn "besser82" Esser 2013-05-26 09:01:05 EDT
Would you update the Spec/SRPM URL-Tags, please? Thoose tags are traced by `fedora-review`, so it will automagicly fetch the updated stuff.
Comment 17 Christopher Meng 2013-05-26 22:53:16 EDT
Spec URL: http://cicku.me/cego.spec
SRPM URL: http://cicku.me/cego-2.18.7-1.fc20.src.rpm
Comment 18 Björn "besser82" Esser 2013-05-30 06:31:47 EDT
Just some small non-blockers:

  * ask upstream to upgrade license-headers of:
      - incorrect-fsf-address /usr/include/cego/CegoAdmNet.h
      - incorrect-fsf-address /usr/include/cego/CegoNet.h

  * ask upstream to find a way to get rid of these undefined-non-weak-symbols.

  * ask upstream to provide a way generate some useful docs from sources.
    e.g. using doxygen & graphviz


So for this one, I say:

APPROVED!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "*No copyright* GPL (v2
     or later) (with incorrect FSF address)", "GPL (v2 or later)", "Unknown or
     generated". 6 files have unknown license. Detailed output of licensecheck
     in /home/bjoern.esser/fedora/review/962189-cego/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cego-2.18.7-1.fc20.x86_64.rpm
          cego-devel-2.18.7-1.fc20.x86_64.rpm
cego.x86_64: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
cego.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cego.x86_64: W: no-manual-page-for-binary cgblow
cego.x86_64: W: no-manual-page-for-binary cego
cego.x86_64: W: no-manual-page-for-binary cgclt
cego.x86_64: W: no-manual-page-for-binary cglog
cego.x86_64: W: no-manual-page-for-binary cgadm
cego-devel.x86_64: W: no-documentation
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoAdmNet.h
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoNet.h
2 packages and 0 specfiles checked; 2 errors, 8 warnings.

// IGNORED !



Rpmlint (installed packages)
----------------------------
# rpmlint cego cego-devel
cego.x86_64: W: spelling-error Summary(en_US) transactional -> transaction, transnational, transitional
cego.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getModId(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::CegoProcVar(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::getAttrName() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::getValue() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getModName(int)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::~CegoDbHandler()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::operator==(CegoProcVar const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getMsg()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::abortQuery()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::putBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::reqQueryOp(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::getType() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::CegoModule(Chain const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::~CegoProcVar()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::~CegoModule()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::~CegoField()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getFileId() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::allocate(long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::resetQuery()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::nextChunk(long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::CegoBlob(int, int)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::valAsChain(bool) const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::CegoField()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::CegoFieldValue()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getSchema()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::CegoBlob()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getProcResult(ListT<CegoProcVar>&, CegoFieldValue&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoField::operator=(CegoField const&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoFieldValue::~CegoFieldValue()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoProcVar::getValue() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::CegoDbHandler(NetHandler*, CegoDbHandler::ProtocolType, CegoModule*)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::~CegoBlob()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getPageId() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::reset()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::requestSession(Chain const&, Chain const&, Chain const&, bool)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::getMapSize()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getSize() const
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::getChunkPtr()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoBlob::putChunk(unsigned char*, long)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::delBlob(Chain const&, CegoBlob&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::closeSession()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoModule::CegoModule()
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::receiveTableData(ListT<CegoField> const&, ListT<CegoFieldValue>&)
cego.x86_64: W: undefined-non-weak-symbol /usr/lib64/libcgwrap.so.1.0.0 CegoDbHandler::getTableSet()
cego.x86_64: W: no-manual-page-for-binary cgblow
cego.x86_64: W: no-manual-page-for-binary cego
cego.x86_64: W: no-manual-page-for-binary cgclt
cego.x86_64: W: no-manual-page-for-binary cglog
cego.x86_64: W: no-manual-page-for-binary cgadm
cego-devel.x86_64: W: no-documentation
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoAdmNet.h
cego-devel.x86_64: E: incorrect-fsf-address /usr/include/cego/CegoNet.h
2 packages and 0 specfiles checked; 2 errors, 53 warnings.
# echo 'rpmlint-done:'

// IGNORED !


Requires
--------
cego (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcego.so.1()(64bit)
    libcrypt.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhistory.so.6()(64bit)
    liblfcbase.so.1()(64bit)
    liblfcxml.so.1()(64bit)
    libm.so.6()(64bit)
    libncurses.so.5()(64bit)
    libnsl.so.1()(64bit)
    libpthread.so.0()(64bit)
    libreadline.so.6()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libtinfo.so.5()(64bit)
    rtld(GNU_HASH)

cego-devel (rpmlib, GLIBC filtered):
    cego(x86-64)
    lfcbase-devel(x86-64)
    lfcxml-devel(x86-64)
    libcego.so.1()(64bit)
    libcgwrap.so.1()(64bit)



Provides
--------
cego:
    cego
    cego(x86-64)
    libcego.so.1()(64bit)
    libcgwrap.so.1()(64bit)

cego-devel:
    cego-devel
    cego-devel(x86-64)



Source checksums
----------------
http://www.lemke-it.com/cego-2.18.7.tar.gz :
  CHECKSUM(SHA256) this package     : 5b1f7c66a916cde2e79da6aa5c652d364741393336a605bb8856890f6088119f
  CHECKSUM(SHA256) upstream package : 5b1f7c66a916cde2e79da6aa5c652d364741393336a605bb8856890f6088119f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 962189

and again in the footer:

APPROVED!
Comment 19 Christopher Meng 2013-05-31 03:54:02 EDT
New Package SCM Request
=======================
Package Name: cego
Short Description: A relational and transactional database
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 20 Gwyn Ciesla 2013-05-31 05:51:02 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2013-07-12 02:59:23 EDT
cego-2.18.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cego-2.18.10-1.fc18
Comment 22 Fedora Update System 2013-07-12 03:01:40 EDT
cego-2.18.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cego-2.18.10-1.fc19
Comment 23 Michael Scherer 2013-07-20 18:07:34 EDT
The unit doesn't start :
ExecStart=/usr/bin/cego --mode=$CEGO_MODE --pool-size=$CEGO_PSIZE --dbxml=$CEGO_XMLFILE --logfile=$CEGO_LOG



# /usr/bin/cego --mode=daemon --pool-size=1000 --dbxml="" --logfile=/var/log/cego.log
Invalid option pool-size
Comment 24 Christopher Meng 2013-07-20 19:25:51 EDT
Hi, 

A note is that this software requires a defined table to be set so it can't be started before you initialize the system, create a table. 

I'll look into this problem later.
Comment 25 Fedora Update System 2013-07-21 20:29:16 EDT
cego-2.18.10-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 26 Fedora Update System 2013-07-21 20:37:00 EDT
cego-2.18.10-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 27 Christopher Meng 2014-01-26 21:08:53 EST
Package Change Request
======================
Package Name: cego
New Branches: epel7
Owners: cicku
Comment 28 Gwyn Ciesla 2014-01-27 08:06:31 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.